Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.commands
Class Shell

    java.lang.Object
      java.lang.Thread
          rdlc.commands.Command
              rdlc.commands.Shell

All Implemented Interfaces:
  java.lang.Runnable

    public class Shell

extends Command

This class represents a shell command which has been constructed either from the command line arguments or through the GUI. It can be directly invoked or started as a separate thread.

Version:
  $Revision: 1.18 $
Author:
  Greg Gibeling

Nested Class Summary
`static class` | `Shell.Language` Abstract class form which all language specific map plugins inherit.

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected static java.util.Hashtable<java.lang.String,java.lang.String>` | `langConfigTable` Table of the language specific configuration stringa.
`protected static java.util.Hashtable<java.lang.String,java.lang.Class>` | `langTable` Table of the language specific command classes.
`protected java.lang.String` | `languageString` The language being generated.

Fields inherited from class rdlc.commands.Command
`commandOptions, errorLog, inputClass, inputFileName, inputPath, manifest, oldErr, options, outputPath, pluginConfigTable, plugins, pluginTable, root`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Shell(Main main, java.lang.String _inputFile, java.lang.Class _inputClass, Catalog<java.lang.String,java.lang.String> _options, java.lang.String[] _commandOptions)`

Method Summary
`java.lang.String` | `getLanguage()` Simple accessor.
`boolean` | `invoke()` Run the actual project generation.
`static boolean` | `setLanguage(java.lang.String name, java.lang.String resource, java.lang.String config)` Add a new language to this command.
`static boolean` | `setPlugin(java.lang.String name, java.lang.String resource, java.lang.String config)` Add a new plugin to this command.

Methods inherited from class rdlc.commands.Command
`backEndPlugin, end, frontEndPlugins, getCommandName, getErrorLog, getInputClass, getInputPath, getManifest, getOption, getOutputPath, hasErrors, run, start`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### langTable

    protected static java.util.Hashtable<java.lang.String,java.lang.Class> langTable

  Table of the language specific command classes.

### langConfigTable

    protected static java.util.Hashtable<java.lang.String,java.lang.String> langConfigTable

  Table of the language specific configuration stringa.

### languageString

    protected java.lang.String languageString

  The language being generated.

Constructor Detail

### Shell

    public Shell(Main main,
                 java.lang.String _inputFile,
                 java.lang.Class _inputClass,
                 Catalog<java.lang.String,java.lang.String> _options,
                 java.lang.String[] _commandOptions)

See Also:
  `Command.Command(Main, String, Class, Catalog, String[])`

Method Detail

### invoke

    public boolean invoke()

  Description copied from class: `Command`
  Run the actual project generation. This is separated so that the actual project generation can be run in a different thread from the GUI. Notice that the command code is not placed directly in the run method, as the command line interface needs to know if there were errors during execution.

  Specified by:
    `invoke` in class `Command`
  Returns:
    `true` on success.
  See Also:
    `Command.invoke()`

### getLanguage

    public java.lang.String getLanguage()

  Simple accessor.

  Specified by:
    `getLanguage` in class `Command`
  Returns:
    The language this shell is in.

### setLanguage

    public static boolean setLanguage(java.lang.String name,
                                      java.lang.String resource,
                                      java.lang.String config)

  Add a new language to this command. This is meant to add language support to this command. If will be called once for each language element in a command element in the configuration file.

  Parameters:
    `name` - The name to use for the language.
    `resource` - The resource (class) to load to implement the language.
    `config` - Configuration string for the given class.
  Returns:
    `true` on success.

### setPlugin

    public static boolean setPlugin(java.lang.String name,
                                    java.lang.String resource,
                                    java.lang.String config)

  Add a new plugin to this command. This is meant to add pluging support to this command. If will be called once for each plugin element in a command element in the configuration file.

  Parameters:
    `name` - The name to use for the plugin.
    `resource` - The resource (class) to load to implement the plugin.
    `config` - Configuration string for the given class.
  Returns:
    `true` on success.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD